/***************************************************************************
                          prefsdialog.h  -  description
                             -------------------
    begin                : Sam Mai 4 2002
    copyright            : (C) 2002 by Christian Nitschkowski
    email                : segfault_ii@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREFSDIALOG_H
#define PREFSDIALOG_H

#include <qcheckbox.h>
#include <qradiobutton.h>
#include <qspinbox.h>
#include <kdialogbase.h>
#include <kurlrequester.h>

/**The configuration-dialog.
  *@author Christian Nitschkowski
  */

class prefsDialog : public KDialogBase  {
	friend class OooQs;
	Q_OBJECT
public: 
	prefsDialog(QWidget *parent=0, const char *name=0, QString="");
	~prefsDialog();
	/** Update the labels and checkboxes when the suite has changed. */
	void updateStrings(void);
public:
	KURLRequester* binary;
	KURLRequester* documents;
	KURLRequester* templates;
	QCheckBox* calc;
	QCheckBox* draw;
	QCheckBox* impress;
	QCheckBox* global;
	QCheckBox* math;
	QCheckBox* web;
	QCheckBox* writer;
	QCheckBox* open;
	QCheckBox* recent;
	QRadioButton* stdCalc;
	QRadioButton* stdMath;
	QRadioButton* stdDraw;
	QRadioButton* stdWeb;
	QRadioButton* stdImpress;
	QRadioButton* stdWriter;
	QRadioButton* stdGlobal;
	QRadioButton* stdOpen;
	QRadioButton* stdLast;
	QRadioButton* stdStart;
	QRadioButton* nothing;
	QRadioButton* ooffice;
	QRadioButton* soffice;
	KPushButton* clear;
	QSpinBox* maxEntries;
	QCheckBox* enableQuick;
	QCheckBox* detailedMenus;
	QCheckBox* saveSelections;
	QLabel* recentLabel;
	QCheckBox* quickStartFix;
    
private:
public slots: // Public slots
	/** Called when the user clicks on OK or Apply */
	void slotApply();
signals:
	/** Will be emitted on calling the accept-slot. */
	void success();
private slots: // Private slots
	/** Called when the user clicks on OK */
	void accept();
	/** Called when a new page is about to be shown. */
	void changedPage(QWidget* newPage);
	/** Restore settings from config-file when the user cancels the new settings */
	void cancel();
	/** Updates OooQs::suite and updates the strings in the dialog accordingly. */
	void updateSuite(bool ooo);
	/** Called when one of the checkboxes in contents get toggled. */
	void contentToggled(bool);
};

#endif
